Creates a new price adjustment rule for the specified advertiser.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/advertiser/{entityId}/create.do
Creates a new price adjustment rule for the specified advertiser. Parameters: conditionSubject, conditionOperator, conditionValue, actionType, and actionValue. If price adjusting is not yet enabled on the advertiser, it will be automatically enabled. Returns the created rule ID. Requires MANAGE_PRICE_ADJUSTING permission and UPDATE access to the owning advertiser.
Path Params
entityIdintegerrequired
Unique numeric identifier of the advertiser
100
Form Params
actionTypestring
Action type — MULTIPLY multiplies the gross by actionValue, SET sets the gross to actionValue
MULTIPLY
actionValuenumber
Action value — the numeric value for the action (e.g. 1.5 for multiply, 2.0 for set)
1.5
conditionOperatorstring
Condition operator — how to compare
IS
conditionSubjectstring
Condition subject — what the rule checks
PLACEMENT
conditionValuestring
Condition value — the ID of the entity to match (e.g. placement ID)